import React from 'react';
import { FormGroup, FormGroupProps } from './FormGroup';
declare type TextAreaProps = FormGroupProps & Partial<TextAreaDefaultProps> & React.HTMLProps<TextArea>;
declare type TextAreaDefaultProps = {
    testAutomationId: string;
};
export declare class TextArea extends FormGroup<TextAreaProps> {
    static propTypes: any;
    static defaultProps: {
        testAutomationId: string;
        ariaDescId: any;
        hasFormGroupContainer: boolean;
        hasFeedbackBlock: boolean;
    };
    renderInput(hasError: any): JSX.Element;
}
export {};
